  @import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

  * {
      margin: 0;
      padding: 0;
      font-family: 'Montserrat', sans-serif;
  }

  body {
      overflow: hidden;
      min-height: 1000px;
  }

  .container {
      width: 1200px;
      margin: 0 auto;
      overflow: hidden;
  }

  .main {
      padding-top: 32px;
  }

  .header {
      display: flex;
      justify-content: space-between;
      align-items: center;
  }

  .header__navigation {
      display: flex;
      align-items: center;
      justify-content: flex-end;
  }

  .header__navigation-menu {
      display: flex;
      align-items: center;
      justify-content: flex-end;
      list-style: none;
      margin-right: 40px;
  }

  .header__navigation-link a {
      margin-right: 20px;
      color: #f2e1c2;
      font-size: 16px;
      text-transform: uppercase;
      transition: 0.2s;
      text-decoration: none;
  }

  .header__navigation-link a:hover {
      color: #f23207;
  }

  .header__navigation-link:last-child {
      margin-right: 0;
  }

  .header__navigation-menu  .header__navigation-button {
    display: none;
  }

  .header__navigation-button {
      border-radius: 4px;
      background-color: #f2e1c2;
      text-transform: uppercase;
      text-decoration: none;
      color: #262526;
      font-size: 16px;
      line-height: auto;
      padding: 10px 15px;
      font-weight: 600;
      transition: 0.2s;
      cursor: pointer;
  }

  .header__navigation-button:hover {
      background-color: #f23207;
      color: #f2e1c2;
  }

  .smoke {
      position: absolute;
      top: 0;
      left: 0;
      width: 200%;
      height: 100%;
      background: url(../img/smoke-min.png) center/cover no-repeat;
      animation: moveSmoke 10s linear infinite;
      z-index: -1;
  }


  .galaxy {
      position: absolute;
      width: 100%;
      height: 100vh;
      min-height: 1000px;
      overflow: hidden;
      display: flex;
      justify-content: center;
      align-items: center;
      z-index: -2;
      background: url(../img/back-min.jpg) center/cover repeat-x;
  }

  .galaxy__video {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      object-fit: cover;
  }

  .galaxy__text {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background: url(../img/back-min.jpg) center/cover repeat;
      text-align: center;
      text-transform: uppercase;
      color: #f2e1c2;
      display: flex;
      justify-content: center;
      align-items: center;
      flex-direction: column;
      font-family: 'Bebas Neue', sans-serif;
      font-weight: 500;
      font-size: 740px;
      letter-spacing: -15px;
      z-index: 0;
      padding-top: 75px;
      background-size: 133%;
      background-attachment: fixed;
      mix-blend-mode: multiply;
  }

  .galaxy__text::after {
      content: 'MAPC';
      opacity: 0;
      animation: fadeInText 0.8s ease 1.4s forwards;
  }

  .galaxy__point {
      display: flex;
      flex-direction: row;
      justify-content: flex-start;
      align-items: flex-start;
  }

  .galaxy__line {
      position: relative;
      z-index: 2;
      display: inline-block;
      height: 609px;
      width: 10px;
  }

  .galaxy__point-text {
      position: relative;
      z-index: 2;
      font-size: 36px;
      color: #f23207;
      text-transform: uppercase;
      display: inline-block;
      margin-left: 15px;
      font-weight: 500;
      opacity: 0;
      animation: fadeIn 0.8s ease 0.5s forwards;
  }

  .galaxy__line-svg {
      height: 6px;
      width: 10px;
      overflow: visible;
      position: relative;
      animation: lineAppear linear 0.8s 0.5s forwards;
      position: relative;
  }

  .galaxy__circle-big {
      opacity: 0;
      transform: scale(0);
      animation: circleAppear cubic-bezier(0, 0, 0, 1.0) 0.8s 0.8s forwards;
  }

  .modal {
      display: none;
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-color: rgba(242, 225, 194);
      z-index: 999;
  }

  .modal__content {}

  .modal__inner {
      margin-top: 30px;
  }

  .modal__header {
      margin-top: 100px;
      display: flex;
      justify-content: space-between;
      align-items: flex-start;
      flex-direction: row;
  }

  .modal__close {
      font-size: 32px;
      line-height: 32px;
      color: #f2e1c2;
      cursor: pointer;
      display: block;
      width: 32px;
      height: 32px;
      background-color: #262526;
      text-align: center;
  }

  .modal__close:hover {
    background-color: #f23207;
  }

  .modal__header-text {
      color: #262526;
      font-size: 120px;
      width: 50%;
      line-height: 1;
      text-transform: uppercase;
      transform: scaleX(0.5);
      transform-origin: 0 0;
  }

  .modal__inputs {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
  }

  .modal__input {
      width: 30%;
  }

  .modal__input input {
      width: 100%;
      background: #f2e1c2;
      border: 0;
      border-bottom: 2px solid #262526;
      height: 32px;
      font-size: 16px;
      color: #262526;
  }

  .modal__inner button {
      margin-left: 100%;
      transform: translateX(-100%);
      margin-top: 60px;
      width: 30%;
      background: #262526;
      border: 0;
      color: #f2e1c2;
      font-size: 16px;
      text-transform: uppercase;
      padding: 10px 30px;
      border-radius: 4px;
      transition: 0.2s;
      cursor: pointer;
  }

  .modal__inner button:hover {
      background-color: #f23207;
      color: #f2e1c2;
  }

  @keyframes fadeIn {
      from {
          opacity: 0;
      }

      to {
          opacity: 1;
      }
  }

  @keyframes fadeInText {
      from {
          color: #f2e1c200;
          opacity: 0;
      }

      to {
          color: #f2e1c2;
          opacity: 1;
      }
  }

  @keyframes lineAppear {
      0% {
          height: 6px;
      }

      100% {
          height: 605px;
      }
  }

  @keyframes circleAppear {
      0% {
          opacity: 0;
          transform: scale(0);
      }

      99% {
          opacity: 0;
          transform: scale(0);
      }

      100% {
          opacity: 1;
          transform: scale(1);
      }
  }


  @keyframes moveSmoke {
      0% {
          transform: translateX(0);
          opacity: 1;
      }

      20% {
          transform: translateX(-20%);
          opacity: 1;
      }

      40% {
          transform: translateX(-30%);
          opacity: 1;
      }

      60% {
          transform: translateX(-40%);
          opacity: 0.5;
      }

      80% {
          transform: translateX(-45%);
          opacity: 0.2;
      }

      100% {
          transform: translateX(-50%);
          opacity: 0;
      }
  }